﻿
local StoneGateV6 = foundation.createMod();

StoneGateSetPrefix = "STONE_GATE_V6"
function mysplit (_inputstr, _sep)
        t={}
        for str in string.gmatch(_inputstr, "([^".._sep.."]+)") do
                table.insert(t, str)
        end
        return t
end

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        StoneGateV6:log("Unknown mod version")
    elseif (foundation.isModEnabled(_id)) then
        local _myVersion = foundation.getModVersion(_id)
        StoneGateV6:log("Uses " .. _name .. " Current version : " .. _myVersion .. " Minimum version : " .. _minimalVersion[1] .. "." .. _minimalVersion[2] .. "." .. _minimalVersion[3])
        local _result = mysplit(_myVersion, ".")
        if (tonumber(_result[1]) < _minimalVersion[1]) then
            StoneGateV6:logError("Please, load the last version of " .. _name)
        elseif (tonumber(_result[1]) == _minimalVersion[1]) then
            if (tonumber(_result[2]) < _minimalVersion[2]) then
                StoneGateV6:logError("Please, load the last version of " .. _name)
            elseif (tonumber(_result[2]) == _minimalVersion[2]) then
                if (tonumber(_result[3]) < _minimalVersion[3]) then
                    StoneGateV6:logError("Please, load the last version of " .. _name)
                end    
            end
        end    
    else
        StoneGateV6:msgBox(_name .. " disabled")
    end
end


StoneGateV6:log("Hello World: StoneGateV6")
--StoneGateV6:logWarning("This is a warning!")
--StoneGateV6:logError("This is an error!")
--StoneGateV6:msgBox("StoneGateV6: Hello there")
checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", {1, 1, 0})
checkVersion("Stone Gate Set V5", "ac68bde5-51f9-4eb1-8345-bd71ed4dc8c4", {5, 5, 2})


StoneGateV6:dofile("scripts/monument.lua")
